<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: Class Members - Variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('functions_vars_l.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_l"></a>- l -</h3><ul>
<li>Language
: <a class="el" href="struct_var_decl_properties.html#a23e082a537c6e197409ce48ef9af812e">VarDeclProperties</a>
</li>
<li>last_statement
: <a class="el" href="struct_node_hierarchy.html#acf08dc3c877ae2d01db73c4759d0e1bb">NodeHierarchy</a>
</li>
<li>level
: <a class="el" href="struct_decomp_type.html#aa9f1d40de90c7267a35d3b5592b76cc6">DecompType</a>
</li>
<li>levelStartEnd
: <a class="el" href="struct_source_code_snippet.html#a122309c3e2d84802966865c7d0536ba3">SourceCodeSnippet</a>
</li>
<li>LHSExpr
: <a class="el" href="struct_binary_op_properties.html#a1ae4c44e21b77eded679b146ec556a7d">BinaryOpProperties</a>
</li>
<li>LHSPosition
: <a class="el" href="struct_binary_op_properties_light.html#a79e9ad2e4acb648da16d19f39c337cb0">BinaryOpPropertiesLight</a>
</li>
<li>Line
: <a class="el" href="struct_all_loc_info.html#ade9a8e73ec7c0734eedac260cbeea0be">AllLocInfo</a>
</li>
<li>line
: <a class="el" href="struct_pos_as_string.html#aa3f5860a8b0b291c24ede064c2366006">PosAsString</a>
</li>
<li>lineNcolumnEnd
: <a class="el" href="struct_source_code_snippet.html#a1ade0fc9bb68624c3d89bf6fcb4a5d13">SourceCodeSnippet</a>
</li>
<li>lineNcolumnStart
: <a class="el" href="struct_source_code_snippet.html#afc1adfb07158143d5fa735e1e4444578">SourceCodeSnippet</a>
</li>
<li>LineOfMatchEnd
: <a class="el" href="struct_location_info_details.html#a6a22faa6816b7aa9540d23bcda7f4146">LocationInfoDetails</a>
</li>
<li>LineOfMatchStart
: <a class="el" href="struct_location_info_details.html#ae6f76995baf63e3777ef10b95965863e">LocationInfoDetails</a>
</li>
<li>LocInfo
: <a class="el" href="struct_tk_pair.html#ad520cba8b04932ba7b6d0c20012e6f4b">TkPair</a>
</li>
<li>LocInfo_vec
: <a class="el" href="struct_total_location_info.html#a54e7049e9bc059e8244abd33018c89a0">TotalLocationInfo</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
